{% for dist, items in pillar['tlu-harvester']['images'].items() -%}
{% for item in items -%}
---
apiVersion: harvesterhci.io/v1beta1
kind: VirtualMachineImage
metadata:
  name: {{ item['checksum'][-10:] }}
  namespace: {{ item['ns'] | default('default') }}
spec:
  displayName: {{ item['name'] | default(item['url'].split('/')[-1]) }}
  pvcName: ""
  pvcNamespace: ""
  sourceType: download
  url: http://{{ pillar['network']['ip'] }}/images/{{ dist }}/{{ item['url'].split('/')[-1] }}
{% endfor -%}
{% endfor -%}
